
_InitTimer1:

;monitor.c,25 :: 		void InitTimer1(){
;monitor.c,26 :: 		TMR1IE_bit = 1;
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;monitor.c,27 :: 		TMR1IF_bit = 0;
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;monitor.c,28 :: 		TMR1H = 0xFC;
	MOVLW      252
	MOVWF      TMR1H+0
;monitor.c,29 :: 		TMR1L = 0x18;
	MOVLW      24
	MOVWF      TMR1L+0
;monitor.c,30 :: 		T1CON = 0b10001001;
	MOVLW      137
	MOVWF      T1CON+0
;monitor.c,31 :: 		CCP1CON = 0b00000101;
	MOVLW      5
	MOVWF      CCP1CON+0
;monitor.c,32 :: 		INTCON = 0xC0;
	MOVLW      192
	MOVWF      INTCON+0
;monitor.c,33 :: 		TMR1ON_bit = 1;
	BSF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
;monitor.c,34 :: 		CCP1IF_bit = 0;
	BCF        CCP1IF_bit+0, BitPos(CCP1IF_bit+0)
;monitor.c,35 :: 		CCP1IE_bit = 1;
	BSF        CCP1IE_bit+0, BitPos(CCP1IE_bit+0)
;monitor.c,36 :: 		}
L_end_InitTimer1:
	RETURN
; end of _InitTimer1

_Ports:

;monitor.c,37 :: 		void Ports(){
;monitor.c,38 :: 		TRISC = 0xFF;
	MOVLW      255
	MOVWF      TRISC+0
;monitor.c,39 :: 		PORTC = 1;
	MOVLW      1
	MOVWF      PORTC+0
;monitor.c,40 :: 		}
L_end_Ports:
	RETURN
; end of _Ports

_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;monitor.c,41 :: 		void Interrupt(){
;monitor.c,42 :: 		if (TMR1IF_bit){
	BTFSS      TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L_Interrupt0
;monitor.c,43 :: 		TMR1IF_bit = 0;
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;monitor.c,46 :: 		tiks++;
	MOVF       _tiks+0, 0
	MOVWF      R0+0
	MOVF       _tiks+1, 0
	MOVWF      R0+1
	MOVF       _tiks+2, 0
	MOVWF      R0+2
	MOVF       _tiks+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _tiks+0
	MOVF       R0+1, 0
	MOVWF      _tiks+1
	MOVF       R0+2, 0
	MOVWF      _tiks+2
	MOVF       R0+3, 0
	MOVWF      _tiks+3
;monitor.c,47 :: 		}
L_Interrupt0:
;monitor.c,48 :: 		if (CCP1IF_bit){
	BTFSS      CCP1IF_bit+0, BitPos(CCP1IF_bit+0)
	GOTO       L_Interrupt1
;monitor.c,49 :: 		piks++;
	MOVF       _piks+0, 0
	MOVWF      R0+0
	MOVF       _piks+1, 0
	MOVWF      R0+1
	MOVF       _piks+2, 0
	MOVWF      R0+2
	MOVF       _piks+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _piks+0
	MOVF       R0+1, 0
	MOVWF      _piks+1
	MOVF       R0+2, 0
	MOVWF      _piks+2
	MOVF       R0+3, 0
	MOVWF      _piks+3
;monitor.c,50 :: 		CCP1IF_bit = 0;
	BCF        CCP1IF_bit+0, BitPos(CCP1IF_bit+0)
;monitor.c,51 :: 		t1 = CCPR1;
	MOVF       CCPR1+0, 0
	MOVWF      _t1+0
	MOVF       CCPR1+1, 0
	MOVWF      _t1+1
	CLRF       _t1+2
	CLRF       _t1+3
;monitor.c,52 :: 		tiks = 0;
	CLRF       _tiks+0
	CLRF       _tiks+1
	CLRF       _tiks+2
	CLRF       _tiks+3
;monitor.c,53 :: 		}
L_Interrupt1:
;monitor.c,54 :: 		}
L_end_Interrupt:
L__Interrupt10:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_main:

;monitor.c,55 :: 		void main() {
;monitor.c,56 :: 		Ports();
	CALL       _Ports+0
;monitor.c,58 :: 		InitTimer1();
	CALL       _InitTimer1+0
;monitor.c,60 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;monitor.c,62 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;monitor.c,64 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;monitor.c,65 :: 		Lcd_Out(1,4,message1);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _message1+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,66 :: 		Lcd_Out(2,1,message2);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _message2+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,67 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main2:
	DECFSZ     R13+0, 1
	GOTO       L_main2
	DECFSZ     R12+0, 1
	GOTO       L_main2
	DECFSZ     R11+0, 1
	GOTO       L_main2
	NOP
	NOP
;monitor.c,68 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;monitor.c,69 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
	NOP
;monitor.c,70 :: 		while(1) {
L_main4:
;monitor.c,72 :: 		t2 = (65536 * tiks) + CCPR1;
	MOVF       _tiks+1, 0
	MOVWF      R4+3
	MOVF       _tiks+0, 0
	MOVWF      R4+2
	CLRF       R4+0
	CLRF       R4+1
	MOVF       CCPR1+0, 0
	MOVWF      R0+0
	MOVF       CCPR1+1, 0
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       R4+0, 0
	ADDWF      R0+0, 1
	MOVF       R4+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R4+1, 0
	ADDWF      R0+1, 1
	MOVF       R4+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R4+2, 0
	ADDWF      R0+2, 1
	MOVF       R4+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R4+3, 0
	ADDWF      R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _t2+0
	MOVF       R0+1, 0
	MOVWF      _t2+1
	MOVF       R0+2, 0
	MOVWF      _t2+2
	MOVF       R0+3, 0
	MOVWF      _t2+3
;monitor.c,73 :: 		t2 = t2 - t1;
	MOVF       _t1+0, 0
	SUBWF      R0+0, 1
	MOVF       _t1+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     _t1+1, 0
	SUBWF      R0+1, 1
	MOVF       _t1+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     _t1+2, 0
	SUBWF      R0+2, 1
	MOVF       _t1+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     _t1+3, 0
	SUBWF      R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _t2+0
	MOVF       R0+1, 0
	MOVWF      _t2+1
	MOVF       R0+2, 0
	MOVWF      _t2+2
	MOVF       R0+3, 0
	MOVWF      _t2+3
;monitor.c,74 :: 		cpm = 120e6 / t2;
	CALL       _Longword2Double+0
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	MOVF       R0+2, 0
	MOVWF      R4+2
	MOVF       R0+3, 0
	MOVWF      R4+3
	MOVLW      192
	MOVWF      R0+0
	MOVLW      225
	MOVWF      R0+1
	MOVLW      100
	MOVWF      R0+2
	MOVLW      153
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	CALL       _Double2Longword+0
	MOVF       R0+0, 0
	MOVWF      _cpm+0
	MOVF       R0+1, 0
	MOVWF      _cpm+1
	MOVF       R0+2, 0
	MOVWF      _cpm+2
	MOVF       R0+3, 0
	MOVWF      _cpm+3
;monitor.c,75 :: 		cps = cpm / 60;
	MOVLW      60
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      _cps+0
	MOVF       R0+1, 0
	MOVWF      _cps+1
	MOVF       R0+2, 0
	MOVWF      _cps+2
	MOVF       R0+3, 0
	MOVWF      _cps+3
;monitor.c,76 :: 		tiks = 0;
	CLRF       _tiks+0
	CLRF       _tiks+1
	CLRF       _tiks+2
	CLRF       _tiks+3
;monitor.c,77 :: 		LCD_Out(1,3, "TAEC MONITOR");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_monitor+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,78 :: 		LCD_Out(2,1, "CPM");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_monitor+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,79 :: 		if(px != cpm) {
	MOVF       _px+3, 0
	XORWF      _cpm+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main12
	MOVF       _px+2, 0
	XORWF      _cpm+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main12
	MOVF       _px+1, 0
	XORWF      _cpm+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main12
	MOVF       _px+0, 0
	XORWF      _cpm+0, 0
L__main12:
	BTFSC      STATUS+0, 2
	GOTO       L_main6
;monitor.c,80 :: 		LongToStr(cpm, sCPM);
	MOVF       _cpm+0, 0
	MOVWF      FARG_LongToStr_input+0
	MOVF       _cpm+1, 0
	MOVWF      FARG_LongToStr_input+1
	MOVF       _cpm+2, 0
	MOVWF      FARG_LongToStr_input+2
	MOVF       _cpm+3, 0
	MOVWF      FARG_LongToStr_input+3
	MOVF       _sCPM+0, 0
	MOVWF      FARG_LongToStr_output+0
	CALL       _LongToStr+0
;monitor.c,81 :: 		LCD_Out(2,5, "           ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_monitor+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,82 :: 		LCD_Out(2,7, sCPM);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _sCPM+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;monitor.c,84 :: 		px = cpm;
	MOVF       _cpm+0, 0
	MOVWF      _px+0
	MOVF       _cpm+1, 0
	MOVWF      _px+1
	MOVF       _cpm+2, 0
	MOVWF      _px+2
	MOVF       _cpm+3, 0
	MOVWF      _px+3
;monitor.c,85 :: 		}
L_main6:
;monitor.c,87 :: 		t2 = 0;
	CLRF       _t2+0
	CLRF       _t2+1
	CLRF       _t2+2
	CLRF       _t2+3
;monitor.c,88 :: 		t1 = 0;
	CLRF       _t1+0
	CLRF       _t1+1
	CLRF       _t1+2
	CLRF       _t1+3
;monitor.c,89 :: 		piks = 0;
	CLRF       _piks+0
	CLRF       _piks+1
	CLRF       _piks+2
	CLRF       _piks+3
;monitor.c,90 :: 		out = 0;
	CLRF       _out+0
	CLRF       _out+1
	CLRF       _out+2
	CLRF       _out+3
;monitor.c,91 :: 		CCP1IE_bit = 1;
	BSF        CCP1IE_bit+0, BitPos(CCP1IE_bit+0)
;monitor.c,93 :: 		}
	GOTO       L_main4
;monitor.c,94 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
